# Class NotPrimaryAlignmentFilter

java.lang.Object
htsjdk.samtools.filter.SecondaryAlignmentFilter
htsjdk.samtools.filter.NotPrimaryAlignmentFilter

All Implemented Interfaces:
  `SamRecordFilter`

@Deprecated public class NotPrimaryAlignmentFilter extends SecondaryAlignmentFilter
Deprecated.
use `SecondaryAlignmentFilter` instead.
Filter out SAMRecords with NotPrimaryAlignment flag set $Id$

## Constructor Summary

Constructors
Constructor
Description
`NotPrimaryAlignmentFilter()`
Deprecated.

## Method Summary

### Methods inherited from class SecondaryAlignmentFilter

`filterOut, filterOut`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotPrimaryAlignmentFilter

public NotPrimaryAlignmentFilter()
Deprecated.